Subject: RE: [AAA-WG]: Issue 357: Inappropriate UTF-8 encoding (fwd)

From: <[email-masked]>
Date: Thu, 12 Sep 2002 13:26:32 +0300

Hi Bernard,

I suggest we follow Eric's advice.

Does anyone feel that we should add details about how the DiameterIdentity
should be used (as suggested by Eric)?

br,
John

> -----Original Message-----
> From: ext Bernard Aboba [mailto:[email-masked]]
> Sent: 10 September, 2002 22:40
> To: [email-masked]
> Subject: Re: [AAA-WG]: Issue 357: Inappropriate UTF-8 encoding (fwd)
> 
> 
> 
> 
> ---------- Forwarded message ----------
> Date: Tue, 10 Sep 2002 10:44:32 -0400
> From: Eric Brunner-Williams in Portland Maine <[email-masked]>
> To: Bernard Aboba <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [AAA-WG]: Issue 357: Inappropriate UTF-8 encoding
> 
> Bernard,
> 
> As an alternative, I suggest the DiameterIdentity type can be left
> simply as an OctetString AVP, and reference to any charset dropped.
> If you want to add details to how the DiameterIdentity value is to
> be used, e.g., case-insensitive character comparison for octets in
> the range 0-127, that would be consistent with 10[34/35].
> 
> The same issue came up recently in dnsext (unknown RDATA formats).
> 
> The same issue has been present in provreg (character encodings other
> than UTF-8 (and UTF-16) are allowed by XML, if an encoding attribute,
> or a byte order mark, or both is present, EPP is specified in XML
> Schema notation, and is silent on the use of character encodings other
> than UTF-8 except "in environments where parser encoding support
> incompatibility might have an impact on interoperability", in which
> case UTF-8 is RECOMMENDED).
> 
> Eric
> 
>

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 12 Sep 2002 04:56:22 -0700 (PDT)

> should be used (as suggested by Eric)?

I agree with Eric's suggestion. Here is the suggested fix:

1. Change the following AVPs that use UTF8String to type DiameterIdentity:

Origin-Realm AVP (6.4)
Destination-Realm AVP (6.6)

2. Change the definition of DiameterIdentity to OctetString.

3. Change the type of IPFilterRule and QoSFilterRule to ASCII
instead of UTF-8.